package jalview.ext.ensembl;

import jalview.ext.ensembl.SeqFetcher.EnsemblSeqType;

import com.stevesoft.pat.Regex;

public class EnsemblCdna extends EnsemblSeqProxy
{

  public EnsemblCdna()
  {
    super();
  }

  @Override
  public String getDbName()
  {
    return "ENSEMBL (CDNA)";
  }

  @Override
  protected EnsemblSeqType getSourceEnsemblType()
  {
    return EnsemblSeqType.CDNA;
  }

  @Override
  public Regex getAccessionValidator()
  {
    return new Regex("((ENST|ENSG|CCDS)[0-9.]{3,})");
  }

  @Override
  public String getTestQuery()
  {
    return "ENST00000288602";
  }

}
